use autoconf to check for the existence of sys/poll.h
authorLuigi Rizzo <rizzo@icir.org>
Sat, 17 Nov 2007 02:57:40 +0000 (02:57 +0000)
committerLuigi Rizzo <rizzo@icir.org>
Sat, 17 Nov 2007 02:57:40 +0000 (02:57 +0000)
git-svn-id: https://origsvn.digium.com/svn/asterisk/trunk@89354 65c4cc65-6c06-0410-ace0-fbb531ad65f3

configure
configure.ac
makeopts.in

index 11f5113..b081e23 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.ac Revision: 89350 .
+# From configure.ac Revision: 89351 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -916,6 +916,7 @@ PBX_FFMPEG
 ALLOCA
 LIBOBJS
 POW_LIB
+HAS_POLL
 GC_CFLAGS
 GC_LDFLAGS
 AST_DECLARATION_AFTER_STATEMENT
@@ -15139,6 +15140,137 @@ _ACEOF
 fi
 done
 
+if test "${ac_cv_header_poll_h+set}" = set; then
+  { echo "$as_me:$LINENO: checking for poll.h" >&5
+echo $ECHO_N "checking for poll.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_poll_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_poll_h" >&5
+echo "${ECHO_T}$ac_cv_header_poll_h" >&6; }
+else
+  # Is the header compilable?
+{ echo "$as_me:$LINENO: checking poll.h usability" >&5
+echo $ECHO_N "checking poll.h usability... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <poll.h>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (ac_try="$ac_compile"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_compile") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && {
+        test -z "$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       } && test -s conftest.$ac_objext; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+       ac_header_compiler=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6; }
+
+# Is the header present?
+{ echo "$as_me:$LINENO: checking poll.h presence" >&5
+echo $ECHO_N "checking poll.h presence... $ECHO_C" >&6; }
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <poll.h>
+_ACEOF
+if { (ac_try="$ac_cpp conftest.$ac_ext"
+case "(($ac_try" in
+  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+  *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null && {
+        test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
+        test ! -s conftest.err
+       }; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+
+rm -f conftest.err conftest.$ac_ext
+{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6; }
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: poll.h: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: poll.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: poll.h: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: poll.h: present but cannot be compiled" >&5
+echo "$as_me: WARNING: poll.h: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: poll.h:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: poll.h: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: poll.h:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: poll.h: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: poll.h: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: poll.h: in the future, the compiler will take precedence" >&2;}
+
+    ;;
+esac
+{ echo "$as_me:$LINENO: checking for poll.h" >&5
+echo $ECHO_N "checking for poll.h... $ECHO_C" >&6; }
+if test "${ac_cv_header_poll_h+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  ac_cv_header_poll_h=$ac_header_preproc
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_header_poll_h" >&5
+echo "${ECHO_T}$ac_cv_header_poll_h" >&6; }
+
+fi
+if test $ac_cv_header_poll_h = yes; then
+  HAS_POLL=1
+fi
+
+
+
 
 # https support (in main/http.c) uses funopen on BSD systems,
 # fopencookie on linux
@@ -58290,6 +58422,7 @@ PBX_FFMPEG!$PBX_FFMPEG$ac_delim
 ALLOCA!$ALLOCA$ac_delim
 LIBOBJS!$LIBOBJS$ac_delim
 POW_LIB!$POW_LIB$ac_delim
+HAS_POLL!$HAS_POLL$ac_delim
 GC_CFLAGS!$GC_CFLAGS$ac_delim
 GC_LDFLAGS!$GC_LDFLAGS$ac_delim
 AST_DECLARATION_AFTER_STATEMENT!$AST_DECLARATION_AFTER_STATEMENT$ac_delim
@@ -58325,7 +58458,7 @@ CURL_CONFIG!$CURL_CONFIG$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 39; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 40; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
index e00bc33..9f48ec5 100644 (file)
@@ -285,6 +285,8 @@ AC_FUNC_VPRINTF
 AC_CHECK_FUNCS([asprintf atexit bzero dup2 endpwent ftruncate getcwd gethostbyname gethostname getloadavg gettimeofday inet_ntoa isascii localtime_r memchr memmove memset mkdir munmap putenv re_comp regcomp select setenv socket strcasecmp strcasestr strchr strcspn strdup strerror strlcat strlcpy strncasecmp strndup strnlen strrchr strsep strspn strstr strtol strtoq unsetenv utime vasprintf])
 
 AC_CHECK_FUNCS([glob])
+AC_CHECK_HEADER([sys/poll.h], [HAS_POLL=1],)
+AC_SUBST(HAS_POLL)
 
 # https support (in main/http.c) uses funopen on BSD systems,
 # fopencookie on linux
index f06e425..70c4846 100644 (file)
@@ -210,3 +210,6 @@ TERMCAP_DIR=@TERMCAP_DIR@
 TINFO_INCLUDE=@TINFO_INCLUDE@
 TINFO_LIB=@TINFO_LIB@
 TINFO_DIR=@TINFO_DIR@
+
+# if poll is not present, let the makefile know.
+POLL_AVAILABLE=@HAS_POLL@